## tlpr 0.2

=== debian/changelog ===
tlpr (0.2) unstable; urgency=low

  * Removed obi-wan error from command-line processing code. Thanks, Major
    <major@audry2.com>.
  * Added gethostbyname() call (stupid, stupid me)
  * Added '-k' option, to kick a stalled printer queue (which sends the
    'print any waitin jobs' command to the lpd)
  * Standards-Version bump. No applicable changes.

 -- Wouter Verhelst <wouter@debian.org>  Fri, 10 Oct 2003 12:52:59 +0200

tlpr (0.1.5) unstable; urgency=low

  * depcomp is now a file, instead of a symlink to somewhere in
    /usr/share/automake-1.7. Closes: #194463

 -- Wouter Verhelst <wouter@debian.org>  Fri, 23 May 2003 18:34:39 +0200

tlpr (0.1.4) unstable; urgency=low

  * i18n'ed the thing
  * Removed erroneous reference to Info files (yuck, info)

 -- Wouter Verhelst <wouter@debian.org>  Thu, 22 May 2003 02:12:08 +0200

tlpr (0.1.3) unstable; urgency=low

  * Changed from using getpwuid() to getpwuid_r() to avoid segfaults when
    running with 'many' options.
  * Check return value from fopen().

 -- Wouter Verhelst <wouter@debian.org>  Mon,  5 May 2003 20:07:55 +0200

tlpr (0.1.2) unstable; urgency=low

  * Bugfixes:
    - memset() the buffer to all zeroes before printing, to avoid that the
      last buffer contains some left-over junk from the previous.
    - do some more sanity checks on user input.
    - don't assume char is signed (closes: #177286).
  * Incorporated some help from Philip Paeps <philip@paeps.cx>
  * It still segfaults from time to time. Patches are welcome

 -- Wouter Verhelst <wouter@debian.org>  Sun, 19 Jan 2003 13:11:01 +0100

tlpr (0.1.1) unstable; urgency=low

  * Sanitized long description. Whoops.

 -- Wouter Verhelst <wouter@debian.org>  Sun,  1 Dec 2002 17:37:30 +0100

tlpr (0.1) unstable; urgency=low

  * Initial Release. Closes: #171208

 -- Wouter Verhelst <wouter@debian.org>  Sun,  1 Dec 2002 15:48:04 +0100
