=== debian/control ===
Source: tlpr
Section: net
Priority: extra
Maintainer: Wouter Verhelst <wouter@debian.org>
Build-Depends: debhelper (>> 3.0.0), docbook-to-man
Standards-Version: 3.6.1

Package: tlpr
Architecture: any
Depends: ${shlibs:Depends}
Description: a Trivial LPR client
 tlpr is a trivial line printer client that will send a file to a
 remote printer. It does not know the concept of a configuration file,
 an input filter, or any other form of complexity; instead, it is the
 LPR-equivalent of 'cat foo >/dev/lp0'.
